corda / net.corda.client.jfx.model / StateMachineData

# StateMachineData

`data class StateMachineData`

### Constructors

<init> | `StateMachineData(id: StateMachineRunId, flowStatus: ObservableValue<FlowStatus?>, stateMachineStatus: ObservableValue<StateMachineStatus>)`

### Properties

flowStatus | `val flowStatus: ObservableValue<FlowStatus?>`
id | `val id: StateMachineRunId`
stateMachineStatus | `val stateMachineStatus: ObservableValue<StateMachineStatus>`